FROM alpine:3.21

RUN apk add --no-cache openssl openjdk11

COPY --chown=185 scripts/keystore-truststore-from-tls-secret.sh /opt/

VOLUME /store /tls
USER 185

ENTRYPOINT [ "/bin/sh", "/opt/keystore-truststore-from-tls-secret.sh" ]