package de.ozgcloud.xta.test.app.model;

import static de.ozgcloud.xta.test.app.validation.ValidXtaId.*;

import jakarta.validation.Valid;
import jakarta.validation.constraints.NotNull;

import de.ozgcloud.xta.test.app.validation.ValidXtaId;
import lombok.Builder;

@Builder
public record XtaGetMessageRequest(
		@ValidXtaId(namespace = MESSAGE_ID_NAMESPACE) String messageId,
		@NotNull @Valid XtaIdentifier clientIdentifier
) {
}
