package de.ozgcloud.xta.test.app.model;

import java.math.BigInteger;
import java.util.List;

import jakarta.validation.Valid;
import jakarta.validation.constraints.NotNull;
import jakarta.validation.constraints.PositiveOrZero;

import lombok.Builder;

@Builder
public record XtaMessageMetaDataListing(
		@PositiveOrZero BigInteger pendingMessageCount,
		@NotNull List<@Valid XtaMessageMetaData> messages
) {
}
