package de.ozgcloud.xta.test.app.factory;

import genv3.eu.osci.ws.x2008.x05.transport.MsgBoxFetchRequest;
import genv3.eu.osci.ws.x2008.x05.transport.MsgSelector;

public class MsgBoxFetchRequestTestFactory {
	public static final String GET_MESSAGE_REQUEST_MESSAGE_ID = "urn:de:xta:messageId:xta-test-server:1234";

	public static MsgBoxFetchRequest create() {
		MsgBoxFetchRequest fetchRequest = new MsgBoxFetchRequest();
		MsgSelector msgSelector = new MsgSelector();
		msgSelector.getMessageID().add(AttributedURITypeTestFactory.create(GET_MESSAGE_REQUEST_MESSAGE_ID));
		fetchRequest.setMsgSelector(msgSelector);
		return fetchRequest;
	}
}
