package de.ozgcloud.xta.test.app.factory;

import genv3.eu.osci.ws.x2014.x10.transport.PartyIdentifierType;

public class PartyIdentifierTypeTestFactory {
	public static final String PARTY_IDENTIFIER_TYPE = "xoev";
	public static final String PARTY_IDENTIFIER_CATEGORY_READER = "READER-category";
	public static final String PARTY_IDENTIFIER_NAME_READER = "READER-name";
	public static final String PARTY_IDENTIFIER_VALUE_READER = "READER-value";
	public static final String PARTY_IDENTIFIER_CATEGORY_AUTHOR = "AUTHOR-category";
	public static final String PARTY_IDENTIFIER_NAME_AUTHOR = "AUTHOR-name";
	public static final String PARTY_IDENTIFIER_VALUE_AUTHOR = "AUTHOR-value";

	public static final PartyIdentifierType AUTHOR_PARTY_IDENTIFIER = create(PARTY_IDENTIFIER_VALUE_AUTHOR, PARTY_IDENTIFIER_NAME_AUTHOR, PARTY_IDENTIFIER_CATEGORY_AUTHOR);
	public static final PartyIdentifierType READER_PARTY_IDENTIFIER = create(PARTY_IDENTIFIER_VALUE_READER, PARTY_IDENTIFIER_NAME_READER, PARTY_IDENTIFIER_CATEGORY_READER);

	private static PartyIdentifierType create(String value, String name, String category) {
		var partyIdentifierType = new PartyIdentifierType();
		partyIdentifierType.setValue(value);
		partyIdentifierType.setName(name);
		partyIdentifierType.setCategory(category);
		partyIdentifierType.setType(PARTY_IDENTIFIER_TYPE);
		return partyIdentifierType;
	}
}
