package de.ozgcloud.xta.test.app.factory;

import genv3.eu.osci.ws.x2014.x10.transport.QualifierType;

public class QualifierTypeBusinessScenarioTestFactory {
	public static final String BUSINESS_SCENARIO_CODE = "BusinessScenarioCode";
	public static final String BUSINESS_SCENARIO_NAME = "BusinessScenarioName";
	public static final String BUSINESS_SCENARIO_LIST_URI = "BusinessScenarioListURI";
	public static final String BUSINESS_SCENARIO_LIST_VERSION_ID = "BusinessScenarioListVersionID";

	public static QualifierType.BusinessScenario createDefinedBusinessScenario() {
		var businessScenario = new QualifierType.BusinessScenario();
		var keyCode = businessScenario.getDefined();
		keyCode.setCode(BUSINESS_SCENARIO_CODE);
		keyCode.setName(BUSINESS_SCENARIO_NAME);
		keyCode.setListURI(BUSINESS_SCENARIO_LIST_URI);
		keyCode.setListVersionID(BUSINESS_SCENARIO_LIST_VERSION_ID);
		return businessScenario;
	}

	public static QualifierType.BusinessScenario createUndefinedBusinessScenario() {
		var businessScenario = new QualifierType.BusinessScenario();
		businessScenario.setDefined(null);
		businessScenario.setUndefined(BUSINESS_SCENARIO_CODE);
		return businessScenario;
	}
}
