package de.ozgcloud.xta.test.app.factory;

import static de.ozgcloud.xta.test.app.factory.XtaMessageMetaDataTestFactory.*;

import de.ozgcloud.xta.test.app.model.XtaCloseRequest;

public class XtaCloseRequestTestFactory {

	public static final String CLOSE_REQUEST_MESSAGE_ID = "close-request-message-id";

	public static XtaCloseRequest create() {
		return createBuilder().build();
	}

	public static XtaCloseRequest.XtaCloseRequestBuilder createBuilder() {
		return XtaCloseRequest.builder()
				.messageId(CLOSE_REQUEST_MESSAGE_ID)
				.clientIdentifier(READER_IDENTIFIER);
	}
}
