package de.ozgcloud.xta.test.app.factory;

import static de.ozgcloud.xta.test.app.factory.XtaMessageMetaDataTestFactory.*;

import de.ozgcloud.xta.test.app.model.XtaLookupServiceRequest;

public class XtaLookupServiceRequestTestFactory {

	public static String LOOKUP_SERVICE_SERVICE = "lookup-request-service";

	public static XtaLookupServiceRequest create() {
		return createBuilder().build();
	}

	public static XtaLookupServiceRequest.XtaLookupServiceRequestBuilder createBuilder() {
		return XtaLookupServiceRequest.builder()
				.service(LOOKUP_SERVICE_SERVICE)
				.readerIdentifier(READER_IDENTIFIER)
				.authorIdentifier(AUTHOR_IDENTIFIER);
	}
}
