package de.ozgcloud.xta.test.app.model;

import java.time.ZonedDateTime;

import jakarta.validation.Valid;
import jakarta.validation.constraints.NotNull;
import lombok.Builder;

@Builder
public record XtaTransportReport(
		@Valid XtaMessageMetaData messageMetaData,
		@NotNull ZonedDateTime reportTime,
		@NotNull MessageStatus status) {

	public enum MessageStatus {
		OFFEN,
		GRUEN,
		GELB,
		ROT
	}
}
