package de.ozgcloud.xta.test.app.factory;

import java.math.BigInteger;

import genv3.eu.osci.ws.x2008.x05.transport.MsgBoxStatusListRequestType;

public class MsgBoxStatusListRequestTypeTestFactory {
	public static final String LIST_FORM = "MessageMetaData";

	public static MsgBoxStatusListRequestType create(long maxListItems) {
		var request = new MsgBoxStatusListRequestType();
		request.setListForm(LIST_FORM);
		request.setMaxListItems(BigInteger.valueOf(maxListItems));
		return request;
	}
}
