package de.ozgcloud.xta.test.app.factory;

import static de.ozgcloud.xta.test.app.factory.PartyIdentifierTypeTestFactory.*;

import genv3.eu.osci.ws.x2014.x10.transport.PartyType;

public class PartyTypeTestFactory {

	public static PartyType create() {
		var partyIdentifier = new PartyType();
		partyIdentifier.setIdentifier(READER_PARTY_IDENTIFIER);
		return partyIdentifier;
	}

	public static PartyType createWithAuthor() {
		var partyIdentifier = new PartyType();
		partyIdentifier.setIdentifier(AUTHOR_PARTY_IDENTIFIER);
		return partyIdentifier;
	}
}
