package de.ozgcloud.xta.test.app.factory;

import java.io.File;
import java.nio.charset.StandardCharsets;

import org.apache.commons.io.FileUtils;

import lombok.SneakyThrows;

public class TempFileTestFactory {

	@SneakyThrows
	public static File createFile(String content) {
		File tFile = File.createTempFile("test", "zip");
		tFile.deleteOnExit();
		FileUtils.write(tFile, content, StandardCharsets.UTF_8);
		return tFile;
	}
}
