package de.ozgcloud.xta.test.app.factory;

import static de.ozgcloud.xta.test.app.factory.XtaMessageMetaDataTestFactory.*;

import de.ozgcloud.xta.test.app.model.XtaGetMessageRequest;

public class XtaGetMessageRequestTestFactory {
	public static final String VALID_MESSAGE_ID = "urn:de:xta:messageid:application:000ca2fe-f4e1-45c2-8233-3a0eb760bd16";

	public static XtaGetMessageRequest.XtaGetMessageRequestBuilder createBuilder() {
		return XtaGetMessageRequest.builder()
				.messageId(VALID_MESSAGE_ID)
				.clientIdentifier(READER_IDENTIFIER);
	}

	public static XtaGetMessageRequest create() {
		return createBuilder().build();
	}
}
